import os

# define the directory where the .properties files are located
dir_path = "concrete"
colors = ['black', 'blue', 'brown', 'cyan', 'gray', 'green', 'light_blue', 'light_gray', 'lime', 'magenta', 'orange', 'pink', 'purple', 'red', 'white', 'yellow']

# loop through each file in the directory
for i, filename in enumerate(os.listdir(dir_path)):
    if filename.endswith(".properties"):
        # read the contents of the file
        with open(os.path.join(dir_path, filename), "r") as f:
            content = f.readlines()

        # extract the value of the color key
        color_name = None
        color_value = None
        for line in content:
            if line.startswith("color="):
                color_name = line.strip().split("=")[0]
                color_value = line.strip().split("=")[1]
                break

        # save the filename and color value as a pair
        if color_value is not None:
            print(f"'{colors[i]}': '#{color_value}',")
